org.springframework.cloud.dataflow.rest.resource.about

## Class VersionInfo

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.resource.about.VersionInfo

-     public class VersionInfo
      extends Object

  Provides version information about core libraries used.
  Author:
    Gunnar Hillert, Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionInfo()` Default constructor for serialization frameworks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dependency` | `getCore()` Retrieves the current `Dependency` for the core Data Flow instance.
    `Dependency` | `getDashboard()` Retrieves the current `Dependency` for the Data Flow UI instance.
    `Dependency` | `getImplementation()` Retrieves the current `Dependency` for the implementation.
    `Dependency` | `getShell()` Retrieves the current `Dependency` for the shell instance.
    `void` | `setCore(Dependency core)` Establish the `Dependency` for the Data Flow core.
    `void` | `setDashboard(Dependency dashboard)` Establish the `Dependency` for the dashboard.
    `void` | `setImplementation(Dependency implementation)` Establish the `Dependency` for the implementation.
    `void` | `setShell(Dependency shell)` Establish the `Dependency` for the shell.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionInfo

          public VersionInfo()

      Default constructor for serialization frameworks.

  - ### Method Detail

    - #### getImplementation

          public Dependency getImplementation()

      Retrieves the current `Dependency` for the implementation.
      Returns:
        `Dependency` instance containing Implementation information.

    - #### setImplementation

          public void setImplementation(Dependency implementation)

      Establish the `Dependency` for the implementation.
      Parameters:
        `implementation` - the `Dependency` instance for the implementation.

    - #### getCore

          public Dependency getCore()

      Retrieves the current `Dependency` for the core Data Flow instance.
      Returns:
        `Dependency` instance containing core Data Flow information.

    - #### setCore

          public void setCore(Dependency core)

      Establish the `Dependency` for the Data Flow core.
      Parameters:
        `core` - the `Dependency` instance for the Data Flow core.

    - #### getDashboard

          public Dependency getDashboard()

      Retrieves the current `Dependency` for the Data Flow UI instance.
      Returns:
        `Dependency` instance containing Data Flow UI information.

    - #### setDashboard

          public void setDashboard(Dependency dashboard)

      Establish the `Dependency` for the dashboard.
      Parameters:
        `dashboard` - the `Dependency` instance for the dashboard.

    - #### getShell

          public Dependency getShell()

      Retrieves the current `Dependency` for the shell instance.
      Returns:
        `Dependency` instance containing shell information.

    - #### setShell

          public void setShell(Dependency shell)

      Establish the `Dependency` for the shell.
      Parameters:
        `shell` - the `Dependency` instance for the shell.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.